# Class MethodHandles

java.lang.Object
java.lang.invoke.MethodHandles

public abstract class MethodHandles extends Object
Deprecated.
these classes are used internally for Lambda compatibility

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `MethodHandles.Lookup`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodHandles()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MethodHandle`
  `arrayElementGetter(Class<?> a)`
  Deprecated.
  `static MethodHandle`
  `arrayElementSetter(Class<?> a)`
  Deprecated.
  `static MethodHandle`
  `catchException(MethodHandle a, Class<? extends Throwable> b, MethodHandle c)`
  Deprecated.
  `static MethodHandle`
  `collectArguments(MethodHandle a, int b, MethodHandle c)`
  Deprecated.
  `static MethodHandle`
  `constant(Class<?> a, Object b)`
  Deprecated.
  `static MethodHandle`
  `dropArguments(MethodHandle a, int b, Class<?>... c)`
  Deprecated.
  `static MethodHandle`
  `dropArguments(MethodHandle a, int b, List<Class<?>> c)`
  Deprecated.
  `static MethodHandle`
  `exactInvoker(MethodType a)`
  Deprecated.
  `static MethodHandle`
  `explicitCastArguments(MethodHandle a, MethodType b)`
  Deprecated.
  `static MethodHandle`
  `filterArguments(MethodHandle a, int b, MethodHandle... c)`
  Deprecated.
  `static MethodHandle`
  `filterReturnValue(MethodHandle a, MethodHandle b)`
  Deprecated.
  `static MethodHandle`
  `foldArguments(MethodHandle a, MethodHandle b)`
  Deprecated.
  `static MethodHandle`
  `guardWithTest(MethodHandle a, MethodHandle b, MethodHandle c)`
  Deprecated.
  `static MethodHandle`
  `identity(Class<?> a)`
  Deprecated.
  `static MethodHandle`
  `insertArguments(MethodHandle a, int b, Object... c)`
  Deprecated.
  `static MethodHandle`
  `invoker(MethodType a)`
  Deprecated.
  `static MethodHandles.Lookup`
  `lookup()`
  Deprecated.
  `static MethodHandle`
  `permuteArguments(MethodHandle a, MethodType b, int... c)`
  Deprecated.
  `static MethodHandles.Lookup`
  `publicLookup()`
  Deprecated.
  `static <T> T`
  `reflectAs(Class<T> a, MethodHandle b)`
  Deprecated.
  `static MethodHandle`
  `spreadInvoker(MethodType a, int b)`
  Deprecated.
  `static MethodHandle`
  `throwException(Class<?> a, Class<? extends Throwable> b)`
  Deprecated.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MethodHandles

    public MethodHandles()
    Deprecated.

- ## Method Details

  - ### lookup

    public static MethodHandles.Lookup lookup()
    Deprecated.

  - ### publicLookup

    public static MethodHandles.Lookup publicLookup()
    Deprecated.

  - ### reflectAs

    public static <T> T reflectAs(Class<T> a, MethodHandle b)
    Deprecated.

  - ### arrayElementGetter

    public static MethodHandle arrayElementGetter(Class<?> a) throws IllegalArgumentException
    Deprecated.
    Throws:
      `IllegalArgumentException`

  - ### arrayElementSetter

    public static MethodHandle arrayElementSetter(Class<?> a) throws IllegalArgumentException
    Deprecated.
    Throws:
      `IllegalArgumentException`

  - ### spreadInvoker

    public static MethodHandle spreadInvoker(MethodType a, int b)
    Deprecated.

  - ### exactInvoker

    public static MethodHandle exactInvoker(MethodType a)
    Deprecated.

  - ### invoker

    public static MethodHandle invoker(MethodType a)
    Deprecated.

  - ### explicitCastArguments

    public static MethodHandle explicitCastArguments(MethodHandle a, MethodType b)
    Deprecated.

  - ### permuteArguments

    public static MethodHandle permuteArguments(MethodHandle a, MethodType b, int... c)
    Deprecated.

  - ### constant

    public static MethodHandle constant(Class<?> a, Object b)
    Deprecated.

  - ### identity

    public static MethodHandle identity(Class<?> a)
    Deprecated.

  - ### insertArguments

    public static MethodHandle insertArguments(MethodHandle a, int b, Object... c)
    Deprecated.

  - ### dropArguments

    public static MethodHandle dropArguments(MethodHandle a, int b, List<Class<?>> c)
    Deprecated.

  - ### dropArguments

    public static MethodHandle dropArguments(MethodHandle a, int b, Class<?>... c)
    Deprecated.

  - ### filterArguments

    public static MethodHandle filterArguments(MethodHandle a, int b, MethodHandle... c)
    Deprecated.

  - ### collectArguments

    public static MethodHandle collectArguments(MethodHandle a, int b, MethodHandle c)
    Deprecated.

  - ### filterReturnValue

    public static MethodHandle filterReturnValue(MethodHandle a, MethodHandle b)
    Deprecated.

  - ### foldArguments

    public static MethodHandle foldArguments(MethodHandle a, MethodHandle b)
    Deprecated.

  - ### guardWithTest

    public static MethodHandle guardWithTest(MethodHandle a, MethodHandle b, MethodHandle c)
    Deprecated.

  - ### catchException

    public static MethodHandle catchException(MethodHandle a, Class<? extends Throwable> b, MethodHandle c)
    Deprecated.

  - ### throwException

    public static MethodHandle throwException(Class<?> a, Class<? extends Throwable> b)
    Deprecated.